Subject: Re: libbpf distro packaging

From: Jiri Olsa <[email-masked]>
Date: Tue, 8 Oct 2019 09:39:58 +0200

On Mon, Oct 07, 2019 at 12:25:51AM +0000, Julia Kartseva wrote:
> On 9/30/19, 4:13 AM, "Jiri Olsa" <[email-masked]> wrote:
> 
> > heya,
> > FYI we got it through.. there's libbpf-0.0.3 available on fedora 30/31/32
> > I'll update to 0.0.5 version as soon as there's the v0.0.5 tag available
> >
> > jirka
> 
> Hi Jiri,
> 
> I wonder what are the steps to make libbpf available for CentOS {7|8} as well?
> One (likely the quickest) way to do that is to publish it to Fedora's EPEL [1].
> 
> I have a little concern about dependencies, namely elfutils-libelf-devel and 
> elfutils-devel are sourced directly by CentOS repos, e.g. [2], not sure if 
> dependencies from another repo are fine.
> 
> Thoughts? Thanks!

I think that should be ok, I'll ask around and let you know

jirka